package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingFullrangeDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaHmMarketingFullrangeDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingFullrangeDeleteactivityRequest) SetParam(v domain.AlibabaHmMarketingFullrangeDeleteactivityCommonActivityParam) *AlibabaHmMarketingFullrangeDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingFullrangeDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingFullrangeDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
